/** CSS for inventory */
.modal-content-width {
  width: 768px;
}
@media (max-width: 767px) {
  .modal-content-width {
    width: 100%;
    max-width: 100%;
  }
}

.home-icons-sprite, .funding-discovery-section .title .icon.icon-stats, .funding-discovery-section .title .icon.icon-update, .inventory-update .title .icon.icon-new-sponsors, .inventory-update .title .icon.icon-new-grants, .inventory-update .title .icon.icon-stats, .inventory-update .title .icon.icon-update, .inventory-update .inv-update .icon.icon-graph-up {
  background-image: url('/public/img/sprites/home-icons-sa91bbe30e9.png');
  background-repeat: no-repeat;
}

h1, h2, h3 {
  text-align: center;
  font-weight: 700;
  margin-top: 30px;
  margin-bottom: 20px;
}

.flex-row-wrap-center {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
}
.flex-row-wrap-center .flex-col-md-6 {
  width: 100%;
}
@media (min-width: 992px) {
  .flex-row-wrap-center .flex-col-md-6 {
    width: 50%;
  }
}

/**
 * reset space above footer
 */
.main.container {
  padding-top: 18px;
}

.section {
  margin-bottom: 20px;
}

.database-depth-container {
  text-align: center;
}

.count-div {
  text-align: center;
  display: flex;
  flex-wrap: wrap;
  padding: 35px 0;
  font-size: 2rem;
  row-gap: 1em;
}
.count-div .count-item {
  display: block;
  flex: 1 1 auto;
  min-width: 220px;
  border: 1px solid #000;
  border-radius: 10px;
  padding: 1rem;
  font-weight: 700;
}
.count-div .count-item .count-number {
  display: block;
  font-size: 4rem;
  color: #54678c;
}
.count-div .count-item .count-unit {
  display: block;
  padding: 0.5rem 0;
  color: black;
}
.count-div .count-item:hover, .count-div .count-item:focus {
  text-decoration: none;
  outline: 0;
  background-color: rgba(84, 103, 140, 0.07);
  border-color: #54678c;
  box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.3);
  -webkit-box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.3);
  -moz-box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.3);
  -moz-transition: all 0.4s ease-out;
  -o-transition: all 0.4s ease-out;
  -webkit-transition: all 0.4s ease-out;
  transition: all 0.4s ease-out;
}
@media (min-width: 992px) {
  .count-div {
    column-gap: 5.5%;
    margin-left: 5.5%;
    margin-right: 5.5%;
  }
  .count-div .count-item {
    flex-basis: 26%;
  }
}
@media (min-width: 768px) and (max-width: 992px) {
  .count-div {
    column-gap: 10%;
    margin-left: 10%;
    margin-right: 10%;
  }
  .count-div .count-item {
    flex-basis: 35%;
  }
}
@media (max-width: 767px) {
  .count-div {
    column-gap: 2%;
    margin-left: 2%;
    margin-right: 2%;
  }
  .count-div .count-item {
    flex-basis: 47%;
  }
}

/**
 * Signup section
 */
.card-block {
  padding: 10px 15px;
  background: #F5F9FC;
}

/** common title */
.inventory-update .title,
.researcher-section .title,
.funding-discovery-section .title {
  margin-bottom: 15px;
  padding-bottom: 8px;
  border-bottom: 1px solid #ccc;
}
.inventory-update .title .icon,
.researcher-section .title .icon,
.funding-discovery-section .title .icon {
  display: block;
  float: left;
  width: 40px;
  height: 40px;
}
.inventory-update .title > div,
.researcher-section .title > div,
.funding-discovery-section .title > div {
  margin-left: 54px;
  margin-top: 8px;
  font-size: 16px;
  font-weight: bold;
}

.funding-discovery-section .title .icon.icon-stats, .funding-discovery-section .title .icon.icon-update {
  background-position: 0 -1121px;
}
.funding-discovery-section .content {
  display: flex;
  justify-content: center;
  align-items: center;
}
@media (max-width: 1199px) {
  .funding-discovery-section .content {
    flex-wrap: wrap;
  }
}
.funding-discovery-section .funding-discovery-chart-container {
  margin: 20px 0;
  flex: 0 1 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}
@media (max-width: 1199px) {
  .funding-discovery-section .funding-discovery-chart-container {
    flex-basis: 100%;
    width: 100%;
  }
}
.funding-discovery-section .funding-discovery-chart-container .funding-discovery-chart {
  width: 100%;
  height: 500px;
}
.funding-discovery-section .funding-discovery-within-category-container {
  margin: 20px 0;
  flex: 1 0 50%;
}
@-webkit-keyframes animate-width {
  0% {
    width: 0;
  }
  100% {
    visibility: visible;
  }
}
@-moz-keyframes animate-width {
  0% {
    width: 0;
  }
  100% {
    visibility: visible;
  }
}
@keyframes animate-width {
  0% {
    width: 0;
  }
  100% {
    visibility: visible;
  }
}
@-webkit-keyframes animate-height {
  0% {
    height: 0;
  }
  100% {
    visibility: visible;
  }
}
@-moz-keyframes animate-height {
  0% {
    height: 0;
  }
  100% {
    visibility: visible;
  }
}
@keyframes animate-height {
  0% {
    height: 0;
  }
  100% {
    visibility: visible;
  }
}
.funding-discovery-section .funding-discovery-within-category-container * {
  box-sizing: border-box;
}
@media (max-width: 1199px) {
  .funding-discovery-section .funding-discovery-within-category-container {
    flex-basis: 100%;
    width: 100%;
  }
}
.funding-discovery-section .funding-discovery-within-category-container > h3 {
  margin-top: 0;
}
.funding-discovery-section .funding-discovery-within-category-container .funding-discovery-within-category {
  padding: 20px 30px;
}
.funding-discovery-section .funding-discovery-within-category-container .funding-discovery-within-category .item {
  display: flex;
  margin-bottom: 10px;
}
.funding-discovery-section .funding-discovery-within-category-container .funding-discovery-within-category .item-name {
  width: 30%;
  margin-right: 5%;
}
.funding-discovery-section .funding-discovery-within-category-container .funding-discovery-within-category .item-value {
  width: 65%;
  padding-right: 70px;
}
.funding-discovery-section .funding-discovery-within-category-container .funding-discovery-within-category .item-bar {
  height: 20px;
  border: 1px solid #333;
  border-radius: 4px;
  box-shadow: 1px 0 2px rgba(0, 0, 0, 0.15);
  position: relative;
  text-align: right;
  width: 0;
  visibility: hidden;
  width: 0;
  -webkit-animation: animate-width;
  -moz-animation: animate-width;
  animation: animate-width;
  animation-timing-function: cubic-bezier(0.35, 0.95, 0.67, 0.99);
  -webkit-animation-timing-function: cubic-bezier(0.35, 0.95, 0.67, 0.99);
  -moz-animation-timing-function: cubic-bezier(0.35, 0.95, 0.67, 0.99);
  animation-duration: 0.4s;
  -webkit-animation-duration: 0.4s;
  -moz-animation-duration: 0.4s;
  animation-fill-mode: forwards;
  -webkit-animation-fill-mode: forwards;
  animation-delay: 0.2s;
  -webkit-animation-delay: 0.2s;
}
.funding-discovery-section .funding-discovery-within-category-container .funding-discovery-within-category .item-text {
  position: absolute;
  margin-left: 10px;
  text-align: left;
}

/**
 * inventory update section
 */
.inventory-update .card-block {
  position: relative;
  margin-bottom: 5px;
}
.inventory-update .card-block.same-height {
  padding-bottom: 55px;
}
.inventory-update .title .icon.icon-new-sponsors {
  background-position: 0 -785px;
}
.inventory-update .title .icon.icon-new-grants {
  background-position: 0 -333px;
}
.inventory-update .title .icon.icon-stats, .inventory-update .title .icon.icon-update {
  background-position: 0 -1121px;
}
.inventory-update .content {
  margin-bottom: 20px;
}
.inventory-update .sponsor-item {
  margin-bottom: 15px;
  margin-left: -15px;
  padding: 0 10px;
  border-left: 4px solid #f6aa19;
}
.inventory-update .sponsor-item .sponsor-item-title {
  margin-bottom: 3px;
  font-weight: bold;
  font-size: 13px;
}
.inventory-update .sponsor-item .sponsor-item-title a {
  color: inherit;
}
.inventory-update .sponsor-item .sponsor-item-type {
  margin-bottom: 5px;
  font-size: 12px;
  font-weight: bold;
  color: #666;
}
.inventory-update .sponsor-item .sponsor-item-date {
  color: #666;
  font-size: 11px;
}
.inventory-update .grant-item {
  margin-bottom: 15px;
  margin-left: -15px;
  padding: 0 10px;
  border-left: 4px solid #54678c;
}
.inventory-update .grant-item .grant-item-title {
  margin-bottom: 6px;
  font-weight: bold;
  font-size: 13px;
}
.inventory-update .grant-item .grant-item-title a {
  color: inherit;
}
.inventory-update .grant-item .grant-item-sponsor {
  margin-bottom: 5px;
  font-size: 12px;
  color: #666;
}
.inventory-update .grant-item .grant-item-sponsor a {
  color: inherit;
  line-height: 24px;
}
.inventory-update .grant-item .grant-item-date {
  color: #666;
  font-size: 11px;
}
.inventory-update .inv-update li {
  margin-bottom: 8px;
}
.inventory-update .inv-update .icon.icon-graph-up {
  float: left;
  display: block;
  margin-top: 4px;
  width: 24px;
  height: 21px;
  background-position: 0 -373px;
}
.inventory-update .inv-update li > div {
  margin-left: 40px;
}
.inventory-update .action {
  position: absolute;
  left: 0;
  bottom: 15px;
  width: 100%;
}

.funding-trending-section .distribution-chart-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.funding-trending-section .chart-display {
  flex: 1;
}
.funding-trending-section #chart-legend {
  display: block;
  font-size: 16px;
  min-width: 200px;
  max-width: 100%;
  text-wrap: wrap;
  height: auto;
  /* Adjust height as needed */
}
.funding-trending-section #chart-legend .legendColorBox {
  vertical-align: baseline;
}
.funding-trending-section .chart-dist-outer {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.funding-trending-section #chart-dist {
  flex-grow: 0;
  flex-shrink: 0;
  flex-basis: 300px;
  width: 300px;
  height: 300px;
  position: relative;
  /* Helps with proper rendering */
}
@media (max-width: 480px) {
  .funding-trending-section #chart-dist {
    flex-basis: 200px;
    width: 200px;
    height: 200px;
  }
}
.funding-trending-section .top-sponsors-container {
  margin: 15px 0;
}
.funding-trending-section .top-sponsor-div {
  width: 100%;
  border: 2px solid #000;
  border-radius: 5px;
  margin: 20px 0;
  padding: 20px;
  display: flex;
  gap: 0.5em 0;
  flex-flow: row wrap;
  align-items: center;
}
.funding-trending-section .top-sponsor-div .sponsor-name {
  color: #333;
  font-weight: 700;
  width: 35%;
}
.funding-trending-section .top-sponsor-div .sponsor-name > a {
  color: inherit;
}
.funding-trending-section .top-sponsor-div .sponsor-name > a:hover, .funding-trending-section .top-sponsor-div .sponsor-name > a:focus {
  color: inherit;
  text-decoration: underline;
}
@media (max-width: 767px) {
  .funding-trending-section .top-sponsor-div .sponsor-name {
    width: 100%;
  }
}
.funding-trending-section .top-sponsor-div .sponsor-funding-graph {
  height: 150px;
  width: 65%;
}
@media (max-width: 767px) {
  .funding-trending-section .top-sponsor-div .sponsor-funding-graph {
    width: 100%;
  }
}

/* tooltip for graph */
.graph-tooltip {
  position: absolute;
  padding: 4px 8px;
  border-radius: 5px;
  color: #fff;
  background: #000;
  filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=70);
  opacity: 0.7;
  display: none;
  -moz-transition: all 0.2s ease-out;
  -o-transition: all 0.2s ease-out;
  -webkit-transition: all 0.2s ease-out;
  transition: all 0.2s ease-out;
}
